Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfAnyURI

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfAnyURI

    public class OdfAnyURI

extends Object

DOM implementation of OpenDocument data type 'anyURI'

Constructor Summary
`OdfAnyURI(String path)` Construct OdfAnyURI by the parsing the given string

Method Summary
`String` | `toString()` Returns a String Object representing this OdfAnyURI's value
`URI` | `toURI()` get java.net.URI from OdfAnyURI
`static OdfAnyURI` | `valueOf(String stringValue)` Returns an OdfAnyURI instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfAnyURI

    public OdfAnyURI(String path)
              throws URISyntaxException

  Construct OdfAnyURI by the parsing the given string

  Parameters:
    `path` - The String to be parsed into an OdfAnyURI
  Throws:
    `URISyntaxException` - if path is invalidate

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfAnyURI's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfAnyURI object

### valueOf

    public static OdfAnyURI valueOf(String stringValue)

  Returns an OdfAnyURI instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfAnyURI instance representing stringValue

### toURI

    public URI toURI()

  get java.net.URI from OdfAnyURI

  Returns:
    java.net.URI returned from this OdfAnyURI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.